Bug 249781 - Most ccs_tool commands always exit with EXIT_FAILURE
Summary: Most ccs_tool commands always exit with EXIT_FAILURE
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Ryan O'Hara
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 364661
TreeView+ depends on / blocked
 
Reported: 2007-07-26 23:39 UTC by aravind.parchuri
Modified: 2009-04-16 23:00 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0347
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 15:57:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0347 normal SHIPPED_LIVE cman bug fix and enhancement update 2008-05-20 12:39:41 UTC

Description aravind.parchuri 2007-07-26 23:39:11 UTC
Description of problem:

ccs_tool exits with EXIT_FAILURE even when it completes an operation properly.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. execute "ccs_tool addnode ...", "ccs_tool addfence ..." or other ccs_tool
commands 
2. check return status with "echo $?"
3.
  
Actual results:

The exit status is always 1

Expected results:

The exit status should be 0 when it successfully completes the operation.

Additional info:

Comment 1 Ryan O'Hara 2007-08-30 16:32:18 UTC
Changed ccs_tool to return EXIT_SUCCESS for most commands. Several of the
commands for ccs_tool would always return EXIT_FAILURE.


Comment 4 RHEL Product and Program Management 2008-01-21 20:25:35 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 errata-xmlrpc 2008-05-21 15:57:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0347.html



Note You need to log in before you can comment on or make changes to this bug.